﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> تفاصيل الإعلان</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="advertisementDetailsNotificationsLoaded" class="ionicons ion-android-notifications-none">
                      <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="advertisementDetailsNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<!-- Floating Action Button -->
<a ng-click="GoToAdvertisement()" class="floating-button">
    <i class="ionicons ion-plus"></i>
</a>

<div id="divInfiniteAdvertisementDetails" class="page-content pull-to-refresh-content infinite-scroll" ng-model="advertisement" data-distance="100" ng-show="!isDeleted">
    <div class="pull-to-refresh-layer">
        <img ng-src="img/puff.svg" class="preloader" />
        <div class="pull-to-refresh-arrow"></div>
    </div>
    <div class="content-block" ng-if="advertisement.isAdvertisementOwner && !isDeleted">
        <div class="row">
            <div class="col-50">
                <div ng-if="advertisement.isAdvertisementOwner && !isSold" style="margin-top:1.5em !important;">
                    <label class="label-checkbox item-content" ng-click="ChangeAdvertisementToSold(advertisement)">
                        <input id="chkAdvertisementDetails" ng-model="isAdvertisementChecked" type="checkbox" name="chk1" ng-click="ChangeAdvertisementToSold(advertisement)" />
                        <div class="item-media" ng-click="AdvertisementChanged(isAdvertisementChecked)" style="display:inline-block !important;">
                            <i class="icon icon-form-checkbox"></i>
                        </div>
                        <div class="item-inner" ng-click="ChangeAdvertisementToSold(advertisement)" style="display:inline-block !important;">
                            <a ng-submit="false" ng-click="ChangeAdvertisementToSold(advertisement)"><div class="item-title">تم بيع الإعلان</div></a>
                        </div>
                    </label>
                </div>
            </div>
            <div class="col-50">
                <div ng-if="advertisement.isAdvertisementOwner && !isSold" style="display:inline-block !important;">
                    <a ng-click="UpdateAdvertisement(advertisement)" class="button button-fill button-rounded centered-100 m-auto" style="margin: 1em 5px 0;">
                        <i class="ion-edit"></i>
                    </a>
                </div>
                <div ng-if="advertisement.isAdvertisementOwner && !isSold" style="display:inline-block !important;">
                    <a ng-click="RemoveAdvertisement(advertisement)" class="button button-fill button-rounded button-red centered-100 m-auto" style="margin: 1em 5px 0;">
                        <i class="ion-android-delete"></i>
                    </a>
                </div>
            </div>
            <div class="col-100" style="text-align:center !important">
                <div ng-if="advertisement.isAdvertisementOwner && isSold && !isDeleted" style="background:#00bcd4;color:#FFF;padding:5px">
                    <span>إعلان مباع</span>
                </div>
            </div>
        </div>
    </div>
    <div class="head" ng-if="!isDeleted">
        <div class="row">
            <div class="col-20" ng-click="GoToUserDetails(advertisement.user)">
                <img name="imgUserOwner" image-loader="{{photoUrl | generateURL}}" loader="img/puff.svg" place-holder="img/avatar.jpg" />
            </div>
            <div class="col-80">
                <div class="row m-b-1">
                    <p ng-click="GoToUserDetails(advertisement.user)"><i class="ionicons ion-person"></i>{{advertisement.user.name}}</p>
                </div>

                <div class="row">
                    <p ng-click="GoToUserDetails(advertisement.user)"><i class="ionicons ion-android-phone-portrait"></i>{{advertisement.show_phone==1||advertisement.show_phone==null? advertisement.user.phone:'غير متاح'}}</p>
                    <div class="rate"><jk-rating-stars max-rating="5" rating="totalRate" read-only="true"></jk-rating-stars></div>
                </div>
            </div>
        </div>
    </div>
    <div class="row" ng-if="!isDeleted">
        <div class="col-100">
            <div class="timeline-wrapper" ng-hide="allAdvertisementsLoaded">
                <div class="timeline-item">
                    <div class="animated-background">
                        <div class="background-masker content-top"></div>
                        <div class="background-masker content-first-end"></div>
                        <div class="background-masker content-second-line"></div>
                        <div class="background-masker content-second-end"></div>
                        <div class="background-masker content-third-line"></div>
                        <div class="background-masker content-third-end"></div>
                    </div>
                </div>
            </div>
            <div class="swiper-custom" ng-show="allAdvertisementsLoaded">
                <div id="mySwiper_{{advertisement.id}}" class="swiper-container">
                    <div class="swiper-pagination"></div>
                    <div class="name">
                        <div class="row">
                            <h4><i class="ion-android-pin"></i> {{advertisement.city.name}}</h4>
                            <p><i class="ion-android-time"></i> {{advertisement.day}}</p>
                        </div>
                    </div>
                    <div class="swiper-wrapper">
                        <div class="swiper-slide" ng-repeat="image in advertisement.images" ng-hide="noAdvertisementImages">
                            <!--<div class="logoView">
                                <img src="img/logo.png">
                            </div>-->
                            <div ng-click="openAdvertisementGallery($index)" class="item pb-popup">
                                <img image-loader="{{ image.url | generateURL}}" loader="img/puff.svg" place-holder="img/1.jpg" class="lazy" />
                            </div>
                        </div>
                        <div class="swiper-slide" ng-show="noAdvertisementImages">
                            <div class="item">
                                <img image-loader="http://placehold.it/1000x400?text=image" loader="img/puff.svg" place-holder="http://placehold.it/1000x400?text=image" class="lazy" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="swiper-button-prev"></div>
                <div class="swiper-button-next"></div>
            </div>
        </div>
    </div>
    <div class="row" style="display:none;">
        <div class="col-100">
            <div class="name status">
                <div class="row">
                    <p><i class="ionicons ion-stats-bars"></i> {{status}}</p>
                </div>
            </div>
        </div>
    </div>
    <div class="timeline-wrapper" ng-hide="hasName">
        <div class="inner-timeline-item">
            <div class="inner-animated-background">
            </div>
        </div>
    </div>
    <div class="timeline-wrapper" ng-if="distanceLoading">
        <div class="inner-timeline-item">
            <div class="inner-animated-background">
            </div>
        </div>
    </div>
    <div class="card m-r-1 m-b-1 m-l-1 m-t-1" ng-if="advertisement.distance&&advertisement.distance!=0&&!distanceLoading">
        <h3><i class="ionicons ion-android-pin"></i>الإعلان على بعد {{advertisement.distance}} كم</h3>
    </div>
    <div class="content" ng-if="!isDeleted">
        <div class="timeline-wrapper" ng-hide="hasName">
            <div class="inner-timeline-item">
                <div class="inner-animated-background">
                </div>
            </div>
        </div>
        <p ng-show="hasName">
            {{advertisement.name}}
        </p>

    </div>

    <div class="content" ng-if="!isDeleted">
        <div class="timeline-wrapper" ng-hide="hasDescription">
            <div class="inner-timeline-item">
                <div class="inner-animated-background">
                </div>
            </div>
        </div>
        <p ng-show="hasDescription&&advertisement.description!=null">
            {{advertisement.description}}
        </p>
    </div>
    <div class="content-block" ng-if="!isSold && !isDeleted">
        <div class="row actionsFollow text-center">
            <div class="col-100" ng-hide="advertisement.isAdvertisementOwner">
                <a ng-click="FollowAdvertisementComments(advertisement)">
                    <div ng-class="{'card':true,'active':isUserFollowedBefore}">
                        <h1 ng-hide="followAdvLoad"><i class="ionicons ion-eye"></i></h1>
                        <h1 ng-show="followAdvLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>متابعة الردود</h4>
                    </div>
                </a>
            </div>
        </div>
    </div>
    <div class="content-block" ng-show="!isSold &&!isDeleted">
        <div class="row actions text-center">
            <div class="col-35" ng-show="advertisement.show_phone==1&&!advertisement.isAdvertisementOwner&& !IsVisitor">
                <a ng-click="CallAdvertisementOwner(advertisement)">
                    <div class="card">
                        <h1 ng-hide="shareCallLoad"><i class="ion-android-call"></i></h1>
                        <h1 ng-show="shareCallLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>اتصال</h4>
                    </div>
                </a>
            </div>
            <div class="col-35" ng-show="!advertisement.isAdvertisementOwner && !IsVisitor">
                <a ng-click="GoToChat(advertisement)">
                    <div class="card">
                        <h1 ng-hide="shareMessageLoad"><i class="ion-android-mail"></i></h1>
                        <h1 ng-show="shareMessageLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>مراسلة</h4>
                    </div>
                </a>
            </div>
            <div class="col-35" ng-show="!IsVisitor">
                <a ng-click="AddAdveritsementToFavroites(advertisement)">
                    <div ng-class="{'card':true,'active':isUserFavoritesBefore}">
                        <h1 ng-hide="shareFavoriteLoad"><i ng-class="favIconClass"></i></h1>
                        <h1 ng-show="shareFavoriteLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>مفضلة</h4>
                    </div>
                </a>
            </div>
            <div class="col-35">
                <a ng-click="ShareAdveritsementOnSocial(advertisement)">
                    <div class="card">
                        <h1 ng-hide="shareSocial"><i class="ionicons ion-android-share-alt"></i></h1>
                        <h1 ng-show="shareSocial"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>مشاركة</h4>
                    </div>
                </a>
            </div>
            <div class="col-35" ng-show="advertisement.show_phone==1&&!advertisement.isAdvertisementOwner&& !IsVisitor">
                <a ng-click="CallOwnerOnWhatsapp(advertisement)">
                    <div class="card">
                        <h1 ng-hide="callWhatsLoad"><i class="ion-social-whatsapp"></i></h1>
                        <h1 ng-show="callWhatsLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>مراسلة</h4>
                    </div>
                </a>
            </div>
            <!--<div class="col-35">
                <a ng-click="ShareAdveritsementOnWhatsapp(advertisement)">
                    <div class="card">
                        <h1 ng-hide="shareWhatsLoad"><i class="ion-social-whatsapp"></i></h1>
                        <h1 ng-show="shareWhatsLoad"><i class="ionicons ion-ios-loop-strong spinner"></i></h1>
                        <h4>مشاركة </h4>
                    </div>
                </a>
            </div>-->
        </div>
        <div class="content" ng-show="!IsVisitor && !advertisement.isAdvertisementOwner">
            <jk-rating-stars max-rating="5" rating="advertisement.userRate" class="bigstar" read-only="false" on-rating="rateAdvertisement(rating, advertisement)"></jk-rating-stars>
        </div>
        <div class="content" ng-show="!IsVisitor">
            <div class="list-block">
                <div class="m-auto">
                    <form name="$parent.adveCommentForm" ng-submit="submitCommentForm($parent.adveCommentForm.$valid,advertisement)" novalidate>
                        <ul>
                            <li>
                                <div class="item-content" ng-class="submittedComment && commentReset && $parent.adveCommentForm.comment.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <textarea ng-model="commentForm.comment" name="comment" placeholder="تعليقك" required></textarea>
                                        </div>
                                    </div>
                                </div>
                                <p ng-show="submittedComment && commentReset && $parent.adveCommentForm.comment.$error.required" class="error-block">يجب إدخال التعليق</p>
                            </li>
                        </ul>
                        <button type="submit" class="button button-fill button-rounded centered-100 m-auto noBg" ng-click="submittedComment=true">إضافة تعليق</button>
                    </form>
                </div>
            </div>
        </div>
        <!--<a ng-click="GoToComments(advertisement)" class="button button-fill button-rounded centered-100 m-auto">اكتب تعليقك</a>-->

    </div>
    <div class="content-block" ng-hide="noComments">
        <div class="messages">
            <div class="row">
                <div id="divComment_{{comment.id}}" long-touch="ItemIsLongTouched(comment)" time="800" class="col-100 tablet-50 comment" ng-repeat="comment in comments">
                    <div class="card commentOption">
                        <div class="row">
                            <div class="col-20" ng-click="GoToUserDetails(comment.user)">
                                <img image-loader="{{ comment.user.image | generateURL}}" loader="img/puff.svg" place-holder="img/avatar.jpg" class="lazy" />
                            </div>
                            <div class="col-80">
                                <div class="row">
                                    <div class="col-100" ng-click="GoToUserDetails(comment.user)">
                                        <h3>{{comment.user.username}}</h3>
                                    </div>
                                    <div class="col-100">
                                        <h5><i class="ion-android-time"></i> {{comment.created_at}}</h5>
                                    </div>

                                </div>
                                <p>
                                    {{comment.comment}}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="divNoComments" class="partialNoResult" ng-show="noComments">
        <div class="content-block">
            <img src="img/noData.png" height="128" width="128" />
            <p>لا توجد تعليقات</p>
        </div>
    </div>
</div>

<div class="page-content" ng-model="advertisement" ng-show="isDeleted">
    <div class="advNoResult">
        <div class="content-block">
            <img src="img/Delete_Icon.png" height="128" width="128" />
            <p>الإعلان قد تم حذفه</p>
        </div>
    </div>
</div>

<!-- popover-advertisement popover -->
<div class="popover popover-advertisement" ng-model="advertisementForPopup">
    <div class="popover-angle"></div>
    <div class="popover-inner">
        <div class="list-block">
            <ul>
                <li><a ng-show="advertisementForPopup.isAdvertisementOwner && !isSold" ng-click="ChangeAdvertisementToSold(advertisementForPopup)" class="list-button item-link close-popover">تم البيع</a></li>
                <li><a ng-show="advertisementForPopup.isAdvertisementOwner" ng-click="UpdateAdvertisement(advertisementForPopup)" class="list-button item-link close-popover">تعديل</a></li>
                <li><a ng-show="advertisementForPopup.isAdvertisementOwner" ng-click="RemoveAdvertisement(advertisementForPopup)" class="list-button item-link close-popover">حذف</a></li>
            </ul>
        </div>
    </div>
</div>
<div class="popover popover-more" ng-model="commentForPopup">
    <div class="popover-angle"></div>
    <div class="popover-inner">
        <div class="list-block">
            <ul>
                <li><a ng-show="commentForPopup.isCommentOwner" ng-click="GoToUpdateComment(commentForPopup,advertisement)" class="list-button item-link close-popover editComment">تعديل تعليق</a></li>
                <li><a ng-show="commentForPopup.isCommentOwner" ng-click="GoToRemoveComment(commentForPopup,advertisement)" class="list-button item-link close-popover">حذف تعليق</a></li>
                <li><a ng-hide="commentForPopup.isCommentOwner" ng-click="GoToReportComment(commentForPopup,advertisement)" class="list-button item-link close-popover reportComment">إبلاغ عن رد</a></li>
            </ul>
        </div>
    </div>
</div>
